Hi Devid,
"it doesn't work without opusdec support" -> I'm a bit confused by this 
sentence, do you mean that it doesn't work without your patch (but with the 
attached patch it starts working), or that the problem does not have a solution 

You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtmultimedia-opensource-
src in Ubuntu.

  [Phone] Please enable opus audio codec support in qtmultimedia

Status in Canonical System Image:
Status in gst-plugins-bad0.10 package in Ubuntu:
  In Progress
Status in qtmultimedia-opensource-src package in Ubuntu:
  In Progress

Bug description:
  Hi, as described in QTBUG-50567 [1], qtmultimedia doesn't support opus
  audio codec so for example we cannot record Telegram voice messages (
  bug #1460464 and bug #1375179 ).

  I patched qtmultimedia adding the support for audio/x-opus codec
  through opusdec encoder in qtmultimedia, then I found qtmultimedia
  5.4.1 (shipped with Ubuntu Phone vivid) is built against gstreamer0.10
  and, as gstreamer0.10-plugins-bad packages is not installed by
  default, opusdec encoder is not available.

  I'm working on this bug, I created it to track the progress, in order
  to add opus support I have to:

  1 - create a new gstreamer0.10-opus package containing only the
  opusdec plugin: I don't know whether I have to create a new source
  package containing opusdec sources or only a new .deb package
  (generated from gst-plugins-bad0.10 sources). I'm working on the
  latter as gst-plugins-bad0.10 package requires work in any ways.

  2 - properly patch qtmultimedia source, I'm attaching a 
working-but-needs-cleanup patch. I think some opus declarations in the attached 
patch can be avoided, but I haven't had time to work on it so I'm attaching the 
patch I tested (requires gstreamer0.10-plugins-bad).
  I don't know if qtmultimedia xenial/yakkety versions requires the patch too, 
I haven't checked them yet.

  [1] https://bugreports.qt.io/browse/QTBUG-50567

To manage notifications about this bug go to:

Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to